test for fix in 2.0.13
authorJim Meyering <jim@meyering.net>
Fri, 24 May 2002 08:23:19 +0000 (08:23 +0000)
committerJim Meyering <jim@meyering.net>
Fri, 24 May 2002 08:23:19 +0000 (08:23 +0000)
tests/misc/pathchk1 [new file with mode: 0755]

diff --git a/tests/misc/pathchk1 b/tests/misc/pathchk1
new file mode 100755 (executable)
index 0000000..a19cdb0
--- /dev/null
@@ -0,0 +1,32 @@
+#!/bin/sh
+# ensure that pathchk exits nonzero in one particular case where it didn't
+
+if test "$VERBOSE" = yes; then
+  set -x
+  pathchk --version
+fi
+
+PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+touch file || framework_failure=1
+
+if test $framework_failure = 1; then
+  echo '$0: failure in testing framework' 1>&2
+  (exit 1); exit
+fi
+
+fail=0
+
+# This should exit nonzero.  Before 2.0.13, it gave a diagnostic,
+# but exited successfully.
+pathchk file/x > /dev/null 2>&1 && fail=1
+
+(exit $fail); exit